Когда речь заходит о безопасности на WordPress-сайте, то все веб-администраторы делятся на 2 категории. В первую группу входят те администраторы WordPress, которые пользуются всеми возможными плагинами для защиты сайта. А вторая группа — это те, кто живут в счастливом неведении и не подозревают, что могут сотворить с их сайтом хакеры, вредоносное ПО и спамеры, и потому не используют никаких плагинов для безопасности своего ресурса.

Неважно, из какой вы группы веб-администраторов, вот вам список плагинов для безопасности WordPress, чтоб вы могли выбрать что-то для защиты своего сайта.

1. Simple Backup

Этот WordPress-плагин был разработан для создания и скачивания бесплатных резервных копий вашего WordPress-сайта. Примечание: плагин Simple Backup создает специальную папку в корне вашей WordPress-установки с именем формата ‘simple-backup’. Порой такую папку надо будет создавать вручную (если вы получаете сообщение об ошибке при автоматическом запуске). Требования: PHP 5.2 или выше, WordPress 3.3 или новее, Linux Style Server, mysqldump (для бэкапа баз данных) и tar, zip, gzip, или bzip.

2. Ask Apache Password Protect

Весьма необычный плагин для обеспечения безопасности. В отличие от аналогичных плагинов, он работает не на уровне приложения, а на уровне сети, не используя php, чтобы предотвратить возможные атаки. Ask Apache Password Protect был разработан для остановки атак еще до того, как эти атаки коснутся конкретно вашего блога. Требования: веб-сервер Apache и поддержка хостингом файлов .htaccess.

3. Login Dongle

С этим плагином никто, кроме вас, не сможет получить доступ. Всё очень просто. Плагин защищает всю вашу информацию об авторизации при помощи защитного вопроса и дополнительного слоя защиты. Примечание: Страницу авторизации этот плагин не меняет, так что ответ на то, какой у вас защитный вопрос, злоумышленники не смогут узнать по странице. Кроме того, совместим с другими плагинами для авторизации. Требования: WordPress 1.0 или новее.

4. Sideways8 Custom Login and Registration

Плагин был разработан так, чтобы вы и ваши пользователи не видели, как работает встроенная опция авторизации, регистрации или сбрасывания пароля для входа на сайт WordPress. Плюс вы сможете добавить на страницу входа настраиваемый контент. Требования: WordPress 3.3 или новее.

5. Exploit Scanner

Этот плагин будет вести поиск по файлам WordPress и по БД для поиска любых признаков подозрительной вредоносной активности, а также проверяет имена файлов. При этом он не удаляет всё подряд. Вы сами решите, что надо удалить, а что оставить. Требования: WordPress 3.3 или новее.

6. WordPress AntiVirus

Простой в использовании плагин для автоматического регулярного мониторинга всех подозрительных "инъекций". Он способен предупредить вас о возможной угрозе хакерского взлома. Кроме того, в нем есть поддержка разных языков. Требования: PHP 5.1 и WordPress 2.8 и новее.

7. Acunetix WP Security

Еще один бесплатный плагин для обеспечения перечня защитных действий. Так, он сканирует ваш блог на ошибки безопасности, предлагает решения для найденных уязвимостей, проверяет разрешения файловой системы, скрывает версию движка, удаляет мета-теги из кода ядра и т.д. Требования: WordPress 3.0 или выше, PHP5.

8. WordPress HTTPS (SSL)

Этот плагин был создан как пакетное решение (включающее 'private' и 'shared' SSL, принудительную защищенную авторизацию, панель администрирования безопасности, поиск частичных ошибок) для WordPress SSL. Требования: WordPress 3.0 или выше.

9. Anti-spam plugin

Этот плагин блокирует спам в комментариях в автоматическом режиме и не виден при этом ни админам, ни пользователям. Основные преимущества – в отсутствии "капчи", проверочных вопросов или сложных настроек. Требования: WordPress 3.0 или новее.

10. Theme Authenticity Checker

Этот плагин сканирует все файлы темы и сообщает, если найдет какой-то вредоносный код. Отличный инструмент для борьбы с рекламой. Но прежде чем "выпилить" из кода темы любую рекламу, постарайтесь связаться с авторами темы и уточнить, общая это информация или всё-таки рекламная ссылка. Требования: WordPress 3.0 или больше.

Источник: WPHacks.com

Вам понравился материал?

Добавить комментарий

Такой e-mail уже зарегистрирован. Воспользуйтесь формой входа или введите другой.

Вы ввели некорректные логин или пароль

Извините, для комментирования необходимо войти.

1 комментарий

сначала новые
по рейтингу сначала новые по хронологии
Леонид Брант

Спасибо за эти наилучшие плагины. Поставил все на свой блог! http://copyloc.ru/